Name:           python-apache-superset
Version:        5.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A modern, enterprise-ready business intelligence web application

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://superset.apache.org/
Source:         %{pypi_source apache_superset}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'apache-superset' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-apache-superset
Summary:        %{summary}

%description -n python3-apache-superset %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-apache-superset athena,aurora-data-api,bigquery,clickhouse,cockroachdb,cors,crate,databend,databricks,db2,denodo,development,doris,dremio,drill,druid,duckdb,dynamodb,elasticsearch,exasol,excel,firebird,firebolt,gevent,gsheets,hana,hive,impala,kusto,kylin,mssql,mysql,netezza,oceanbase,ocient,oracle,parseable,pinot,playwright,postgres,presto,prophet,redshift,rockset,shillelagh,snowflake,solr,spark,starrocks,teradata,thumbnails,trino,vertica,ydb


%prep
%autosetup -p1 -n apache_superset-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x athena,aurora-data-api,bigquery,clickhouse,cockroachdb,cors,crate,databend,databricks,db2,denodo,development,doris,dremio,drill,druid,duckdb,dynamodb,elasticsearch,exasol,excel,firebird,firebolt,gevent,gsheets,hana,hive,impala,kusto,kylin,mssql,mysql,netezza,oceanbase,ocient,oracle,parseable,pinot,playwright,postgres,presto,prophet,redshift,rockset,shillelagh,snowflake,solr,spark,starrocks,teradata,thumbnails,trino,vertica,ydb


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-apache-superset -f %{pyproject_files}


%changelog
%autochangelog